Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 440858 - sys-auth/pam_usb is still using sys-fs/udisks:0 instead of sys-fs/udisks:2
Summary: sys-auth/pam_usb is still using sys-fs/udisks:0 instead of sys-fs/udisks:2
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Low minor (vote)
Assignee: PAM Gentoo Team (OBSOLETE)
URL:
Whiteboard: Pending removal: 2016-12-27
Keywords: PMASKED
Depends on:
Blocks: 439624
  Show dependency tree
 
Reported: 2012-11-01 23:21 UTC by Samuli Suominen
Modified: 2016-12-31 13:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuli Suominen gentoo-dev 2012-11-01 23:21:42 UTC
this is generic message. the package is still using dead code which might get out of duty anytime soon.

please update from udisks:0 to udisks:2.
Comment 1 Samuli Suominen gentoo-dev 2012-11-01 23:27:31 UTC
the upstream of pam_usb also "promised" to look into dropping the sys-apps/pmount dependency back when he released 0.5.0

let's see if we can get hold of him now :)
Comment 2 Pacho Ramos gentoo-dev 2014-07-27 17:05:46 UTC
Upstream looks to not develop it since 2011 and looks like nothing in the tree needs it. I have also seen that Fedora dropped it years ago :/, maybe we should simply treeclean this
Comment 3 Samuli Suominen gentoo-dev 2014-07-27 18:05:25 UTC
(In reply to Pacho Ramos from comment #2)
> Upstream looks to not develop it since 2011 and looks like nothing in the
> tree needs it. I have also seen that Fedora dropped it years ago :/, maybe
> we should simply treeclean this

eh.  this is not that major bug.  i'll drop treecleners from CC and contact the author again directly, like I did when this was up to sys-apps/hal removal.

just hold your horses :)
Comment 4 Pacho Ramos gentoo-dev 2014-07-27 18:15:16 UTC
Ah, ok. I thought nobody was interested on this taking care that bug 212477 was neither solved for years :|
Comment 5 Samuli Suominen gentoo-dev 2014-07-27 18:50:49 UTC
(In reply to Pacho Ramos from comment #4)
> Ah, ok. I thought nobody was interested on this taking care that bug 212477
> was neither solved for years :|

well, this particular upstream seems to do things only "by force" so when udisks:0 totally stops working and is about to removed from various distros
like HAL was
so lets keep this, like... the last package to deal with, when the udisks:0 removal time is more near
Comment 6 Pacho Ramos gentoo-dev 2016-10-09 12:12:57 UTC
Still dead and no update, CCing treecleaners
Comment 7 Pacho Ramos gentoo-dev 2016-12-31 13:43:55 UTC
dropped